
/**
 * QUIQQER highlight package
 *
 * @author www.pcsg.de (Henning Leutz)
 */

define([

    'css!package/quiqqer/highlightjs/bin/Highlight.css',
    'css!'+ URL_OPT_DIR +'bin/highlightjs/styles/default.css'

], function()
{
    "use strict";

    var list = document.getElements( 'code,pre' );

    if ( !list || !list.length ) {
        return;
    }

    requirejs([
       URL_OPT_DIR +"bin/highlightjs/highlight.pack.js"
    ], function()
    {
        for ( var i = 0, len = list.length; i < len; i++ ) {
            hljs.highlightBlock( list[ i ] );
        }
    });
});
